org.apache.olingo.server.api.deserializer.batch

## Enum BatchDeserializerException.MessageKeys

- java.lang.Object
- - java.lang.Enum<BatchDeserializerException.MessageKeys>
  - - org.apache.olingo.server.api.deserializer.batch.BatchDeserializerException.MessageKeys

- All Implemented Interfaces:
    Serializable, Comparable<BatchDeserializerException.MessageKeys>, ODataLibraryException.MessageKey
  Enclosing class:
    BatchDeserializerException

      public static enum BatchDeserializerException.MessageKeys
      extends Enum<BatchDeserializerException.MessageKeys>
      implements ODataLibraryException.MessageKey

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORBIDDEN_HEADER` parameter: line
    `INVALID_BASE_URI` parameter: line
    `INVALID_BOUNDARY` parameter: line
    `INVALID_CHANGESET_METHOD` parameter: line
    `INVALID_CONTENT` parameter: line
    `INVALID_CONTENT_ID` parameter: line
    `INVALID_CONTENT_LENGTH` parameter: line
    `INVALID_CONTENT_TRANSFER_ENCODING` parameter: line
    `INVALID_CONTENT_TYPE` parameter: line
    `INVALID_HOST` parameter: line
    `INVALID_HTTP_VERSION` parameter: line
    `INVALID_METHOD` parameter: line
    `INVALID_STATUS_LINE` parameter: line
    `INVALID_URI` parameter: line
    `MISSING_BLANK_LINE` parameter: line
    `MISSING_BOUNDARY_DELIMITER` parameter: line
    `MISSING_CLOSE_DELIMITER` parameter: line
    `MISSING_CONTENT_ID` parameter: line
    `MISSING_CONTENT_TYPE` parameter: line
    `MISSING_MANDATORY_HEADER` parameter: line
    `UNEXPECTED_CONTENT_TYPE` parameters: line, expected content type, actual content type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()` Gets this key.
    `static BatchDeserializerException.MessageKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BatchDeserializerException.MessageKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALID_BOUNDARY

          public static final BatchDeserializerException.MessageKeys INVALID_BOUNDARY

      parameter: line

    - #### INVALID_CHANGESET_METHOD

          public static final BatchDeserializerException.MessageKeys INVALID_CHANGESET_METHOD

      parameter: line

    - #### INVALID_CONTENT

          public static final BatchDeserializerException.MessageKeys INVALID_CONTENT

      parameter: line

    - #### INVALID_CONTENT_LENGTH

          public static final BatchDeserializerException.MessageKeys INVALID_CONTENT_LENGTH

      parameter: line

    - #### INVALID_CONTENT_TRANSFER_ENCODING

          public static final BatchDeserializerException.MessageKeys INVALID_CONTENT_TRANSFER_ENCODING

      parameter: line

    - #### INVALID_CONTENT_TYPE

          public static final BatchDeserializerException.MessageKeys INVALID_CONTENT_TYPE

      parameter: line

    - #### UNEXPECTED_CONTENT_TYPE

          public static final BatchDeserializerException.MessageKeys UNEXPECTED_CONTENT_TYPE

      parameters: line, expected content type, actual content type

    - #### INVALID_CONTENT_ID

          public static final BatchDeserializerException.MessageKeys INVALID_CONTENT_ID

      parameter: line

    - #### INVALID_HOST

          public static final BatchDeserializerException.MessageKeys INVALID_HOST

      parameter: line

    - #### INVALID_HTTP_VERSION

          public static final BatchDeserializerException.MessageKeys INVALID_HTTP_VERSION

      parameter: line

    - #### INVALID_METHOD

          public static final BatchDeserializerException.MessageKeys INVALID_METHOD

      parameter: line

    - #### INVALID_STATUS_LINE

          public static final BatchDeserializerException.MessageKeys INVALID_STATUS_LINE

      parameter: line

    - #### INVALID_URI

          public static final BatchDeserializerException.MessageKeys INVALID_URI

      parameter: line

    - #### MISSING_BLANK_LINE

          public static final BatchDeserializerException.MessageKeys MISSING_BLANK_LINE

      parameter: line

    - #### MISSING_BOUNDARY_DELIMITER

          public static final BatchDeserializerException.MessageKeys MISSING_BOUNDARY_DELIMITER

      parameter: line

    - #### MISSING_CLOSE_DELIMITER

          public static final BatchDeserializerException.MessageKeys MISSING_CLOSE_DELIMITER

      parameter: line

    - #### MISSING_CONTENT_ID

          public static final BatchDeserializerException.MessageKeys MISSING_CONTENT_ID

      parameter: line

    - #### MISSING_CONTENT_TYPE

          public static final BatchDeserializerException.MessageKeys MISSING_CONTENT_TYPE

      parameter: line

    - #### MISSING_MANDATORY_HEADER

          public static final BatchDeserializerException.MessageKeys MISSING_MANDATORY_HEADER

      parameter: line

    - #### FORBIDDEN_HEADER

          public static final BatchDeserializerException.MessageKeys FORBIDDEN_HEADER

      parameter: line

    - #### INVALID_BASE_URI

          public static final BatchDeserializerException.MessageKeys INVALID_BASE_URI

      parameter: line

  - ### Method Detail

    - #### values

          public static BatchDeserializerException.MessageKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BatchDeserializerException.MessageKeys c : BatchDeserializerException.MessageKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BatchDeserializerException.MessageKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getKey

          public String getKey()

      Description copied from interface: `ODataLibraryException.MessageKey`
      Gets this key.
      Specified by:
        `getKey` in interface `ODataLibraryException.MessageKey`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.